## visad.bom
Class EndManipCBM

    java.lang.Object
      visad.bom.EndManipCBM

All Implemented Interfaces:
  ActionListener, EventListener

class EndManipCBM
extends Object
implements ActionListener

a help class for the GUI in CollectiveBarbManipulation.main()

Field Summary
`(package private) JButton` `add`
`(package private) CollectiveBarbManipulation` `cbm`
`(package private) CollectiveBarbManipulation` `cbm2`
`(package private) CurveManipulationRendererJ3D` `cmr`
`(package private) int` `dir`
`(package private) DisplayImpl` `display`
`(package private) PointManipulationRendererJ3D` `pmr`
`(package private) DataReferenceImpl` `set_ref`

Constructor Summary
`(package private)` `EndManipCBM(CollectiveBarbManipulation cb, CollectiveBarbManipulation cb2, DataReferenceImpl r, JButton a, CurveManipulationRendererJ3D cm, PointManipulationRendererJ3D p)`

Method Summary
`void` `actionPerformed(ActionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cbm

    CollectiveBarbManipulation cbm

### cbm2

    CollectiveBarbManipulation cbm2

### set_ref

    DataReferenceImpl set_ref

### display

    DisplayImpl display

### dir

    int dir

### add

    JButton add

### cmr

    CurveManipulationRendererJ3D cmr

### pmr

    PointManipulationRendererJ3D pmr

Constructor Detail

### EndManipCBM

    EndManipCBM(CollectiveBarbManipulation cb,
                CollectiveBarbManipulation cb2,
                DataReferenceImpl r,
                JButton a,
                CurveManipulationRendererJ3D cm,
                PointManipulationRendererJ3D p)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`